Continue a paused deployment
curl --request POST \
--url https://api.ravion.com/deployments/{id}/continue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"hookId": "<string>"
}
}
'import requests
url = "https://api.ravion.com/deployments/{id}/continue"
payload = { "data": { "hookId": "<string>" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {hookId: '<string>'}})
};
fetch('https://api.ravion.com/deployments/{id}/continue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"deploymentType": "<string>",
"description": "<string>",
"environmentId": "<string>",
"id": "<string>",
"moduleInstanceId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"triggerSource": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"data": {
"clusterArn": "<string>",
"serviceArn": "<string>",
"type": "aws:ecs",
"acceptedPauseControl": {
"acceptedAt": "2023-11-07T05:31:56Z",
"hookId": "<string>",
"eventStartedAt": "2023-11-07T05:31:56Z",
"lifecycleStage": "<string>"
},
"deployedTaskDefinition": {
"arn": "<string>",
"definition": {},
"revision": 123
},
"ecsModuleDeploymentId": "<string>",
"elbListenerState": [
{
"capturedAt": "2023-11-07T05:31:56Z",
"loadBalancerArn": "<string>",
"loadBalancerDnsName": "<string>",
"rules": [
{
"isDefaultRule": true,
"listenerArn": "<string>",
"port": 123,
"protocol": "<string>",
"ruleArn": "<string>",
"targetGroupArn": "<string>",
"hostHeaders": [
"<string>"
],
"pathPatterns": [
"<string>"
],
"rulePriority": 123,
"targetGroupName": "<string>"
}
]
}
],
"events": [
{
"currentStep": 123,
"startedAt": "2023-11-07T05:31:56Z",
"totalSteps": 123,
"desiredCount": 123,
"hookId": "<string>",
"lifecycleStage": "<string>",
"message": "<string>"
}
],
"postDeployEnabled": true,
"preDeployEnabled": true,
"previousTaskDefinition": {
"arn": "<string>",
"definition": {},
"revision": 123
},
"revertExternalDeploymentId": "<string>",
"revertRequestedAt": "2023-11-07T05:31:56Z",
"revertServiceDeploymentArn": "<string>",
"serviceDeploymentArn": "<string>",
"serviceDeploymentState": {
"acceptsNativeStandbyRevert": true,
"observedAt": "2023-11-07T05:31:56Z",
"serviceDeploymentArn": "<string>",
"status": "<string>",
"lifecycleStage": "<string>",
"sourceServiceRevisions": [
{
"pendingTaskCount": 123,
"requestedTaskCount": 123,
"runningTaskCount": 123,
"serviceRevisionArn": "<string>",
"requestedProductionTrafficWeight": 123,
"requestedTestTrafficWeight": 123
}
],
"statusReason": "<string>",
"strategy": "<string>",
"targetServiceRevision": {
"pendingTaskCount": 123,
"requestedTaskCount": 123,
"runningTaskCount": 123,
"serviceRevisionArn": "<string>",
"requestedProductionTrafficWeight": 123,
"requestedTestTrafficWeight": 123
}
}
},
"error": {
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
},
"externalDeploymentId": "<string>",
"pipelineRunId": "<string>",
"redeployOfDeploymentId": "<string>",
"resourceArn": "<string>",
"resourceName": "<string>",
"rollbackToDeploymentId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"stepExecutionId": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}Deployments
Continue a paused deployment
Continue a paused deployment. Native blue_green / linear / canary
deployments pause at the lifecycle stages
configured under deploy.strategy.pause_stages; this control
resolves the pending pause hook with CONTINUE.
POST
/
deployments
/
{id}
/
continue
Continue a paused deployment
Was this page helpful?
⌘I